<?php
/**
 * Clase DP para CrEventoLogDP
 *
 * @package    
 * @subpackage CrEventoLogDP
 * @author     Willy
 * @version    SVN:: CrEventoLogDP.class.php,v 1.1 2023-02-22 18:07:04 william.taype Exp $
 */
class CrEventoLogDP extends BaseCrEventoLogDP
{
	public function saveEvento($idTipoEvento,$valorAnterior,$valorActual,$descripcion,$valorClavePrimaria){
		$o_CrEventoTipoFN = new CrEventoTipoFN();
		$o_CrEventoTipoFN->setIdEventoTipo($idTipoEvento);
		$o_CrEventoTipoBN = $o_CrEventoTipoFN->selectByPK();
		$NombreClavePrimaria = $o_CrEventoTipoBN->getNombreClavePrimaria();
		$DescripcionEventoTipo = $o_CrEventoTipoBN->getDescripcion();
		$this->setIdEventoTipo($idTipoEvento);
		$this->setFecha(date("Y-m-d"));
		$this->setDescripcionEventoTipo($DescripcionEventoTipo);
		$this->setDescripcion($descripcion);
		$this->setNombreClavePrimaria($NombreClavePrimaria);
		$this->setValorClavePrimaria($valorClavePrimaria);
		$this->setValorAnterior($valorAnterior);
		$this->setValorActual($valorActual);
		$this->setUsuarioCreacion(myUser::getUser()->getUserId());
		$this->setFechaCreacion(date("Y-m-d H:i:s"));
		$this->save();
	}
	
}